跳转到主要内容
POST
Get Earnings

请求规范

  • 方法与路径: POST /apis/v1/api-ninjas/get-earnings
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/api-ninjas/get-earnings
  • Runtime 事实版本: 80f6d0ab09ca1b2bfaa51bc30934eca7d1f0ea7e38c9d075b9100f098998c5d9
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.00089 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.00089
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 声明的最大计数或单位数: 10000000
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
cik
string

Company Central Index Key. Mutually exclusive with ticker. Supply a company identifier, date, or complete date range.

date
string

Exact filing date in YYYY-MM-DD format. Mutually exclusive with date_start/date_end; supply a company identifier, date, or complete date range.

Pattern: ^\d{4}-\d{2}-\d{2}$
year
integer

Fiscal year. Required with period or quarter, which also require a company identifier. Free users are limited to 2026; Premium covers the last 5 fiscal years; Business tier and above provides full history.

offset
integer
默认值:0

Results to skip; pages contain 50.

必填范围: x >= 0
period
enum<string>

Fiscal period. Mutually exclusive with quarter and requires a company identifier and year.

可用选项:
q1,
q2,
q3,
q4,
fy
ticker
string

Company ticker symbol. Mutually exclusive with cik. Supply a company identifier, date, or complete date range.

quarter
enum<string>

Fiscal quarter. Mutually exclusive with period and requires a company identifier and year.

可用选项:
1,
2,
3,
4
date_end
string

Range end in YYYY-MM-DD format. Requires date_start and is mutually exclusive with date; supply a company identifier, date, or complete date range.

Pattern: ^\d{4}-\d{2}-\d{2}$
date_start
string

Range start in YYYY-MM-DD format. Requires date_end and is mutually exclusive with date; supply a company identifier, date, or complete date range.

Pattern: ^\d{4}-\d{2}-\d{2}$

响应

Tool result data

cash_flow
object
filing_info
object
company_info
object
balance_sheet
object
income_statement
object